<?php
$shortcod_link = JUri::root() . 'plugins/system/bdthemes_shortcodes/';
$shortcod_path = JPATH_PLUGINS . '/system/bdthemes_shortcodes/';

try {
    require_once $shortcod_path . 'config/inc/wp_override.php';
    require_once $shortcod_path . 'config/data.php';
    require_once $shortcod_path . 'config/inc/tools.php';
} catch (Exception $e) {
    echo $e->getMessage();
}
$data = new Su_Data();
$doc = JFactory::getDocument();
$doc->addStyleSheet($shortcod_link . 'css/generator.css');
$doc->addStyleSheet($shortcod_link . 'css/simpleslider.css');
$doc->addStyleSheet($shortcod_link . 'css/shc-styles.css');
$doc->addStyleSheet($shortcod_link . 'css/farbtastic-rtl.min.css');
$doc->addStyleSheet($shortcod_link . 'css/farbtastic.css');
$doc->addStyleSheet($shortcod_link . 'css/heading.css');
$doc->addStyleSheet($shortcod_link . 'css/spoiler.css');
$doc->addStyleSheet($shortcod_link . 'css/quote.css');
$doc->addStyleSheet($shortcod_link . 'css/tabs.css');

$doc->addStyleSheet('http://netdna.bootstrapcdn.com/font-awesome/4.0.3/css/font-awesome.min.css');
if(ShortCodeHelper::isJoomla3()){
  JHtml::_('bootstrap.framework');
}else{
  $doc->addScript($shortcod_link . 'js/jquery.js');

}

$doc->addScript($shortcod_link . 'js/simpleslider.js');
$doc->addScript($shortcod_link . 'js/farbtastic.js');
$doc->addScript($shortcod_link . 'js/generator.js');

JHtml::_('behavior.modal');

$doc->addScriptDeclaration('
    function appendHtml(targetC, htmldata) {
    var theDiv = document.getElementById(targetC);
    theDiv.innerHTML = theDiv.innerHTML + htmldata;
}

    function jInsertFieldValue(value,id) {
    if(id == "su-generator-attr-source"){
 
     var old_id = document.getElementById(id).value;
            if (old_id != "none") {
                document.getElementById(id).value = document.getElementById(id).value + ","  + value;
            }else{
            var theDiv = document.getElementById("su-generator-attr-image").innerHTML ="";
            document.getElementById(id).value = "media: "  + value;
            }
             value1 =  \'<span data-id="\' + value + \'" title="\' + this.title + \'"><img src="'.JUri::root().'\' + value + \'" alt="" /><i class="fa fa-times"></i></span>\';
             appendHtml( "su-generator-attr-image",value1);
	    jQuery("#"+id).trigger(\'keyup\');
           
        }else{
            var old_id = document.getElementById(id).value;
            if (old_id != id) {
                document.getElementById(id).value = value;
            }
	    jQuery("#"+id).trigger(\'keyup\');
            }
        }
');

$doc->addScriptDeclaration('var ajaxurl = "' . ('index.php?option=com_bdthemes_shortcodes&view=config&layout=ajax_config') . '";
var ajaxurl_prev = "' . ('index.php?option=com_bdthemes_shortcodes&view=config&layout=ajax_config&layout=preview') . '"; 
');
?>

<div id="su-generator-wrap" style="display:block">
    <div id="su-generator">
        <div id="su-generator-header">
            <input type="text" name="su_generator_search" id="su-generator-search" value="" placeholder="Search for shortcodes" />
            <div id="su-generator-filter">
                <strong>Filter by type</strong>
                <?php
                foreach ((array) Su_Data::groups() as $group => $label)
                    echo '<a href="#" data-filter="' . $group . '">' . $label . '</a>';
                ?>
            </div>
            <div id="su-generator-choices" class="su-generator-clearfix">
                <?php
                // Choices loop
                foreach ((array) Su_Data::shortcodes() as $name => $shortcode) {
                    $icon = ( isset($shortcode['icon']) ) ? $shortcode['icon'] : 'puzzle-piece';
                    $shortcode['name'] = ( isset($shortcode['name']) ) ? $shortcode['name'] : $name;
                    echo '<span data-name="' . $shortcode['name'] . '" data-shortcode="' . $name . '" title="' . ( $shortcode['desc'] ) . '" data-desc="' . ( $shortcode['desc'] ) . '" data-group="' . $shortcode['group'] . '">' . Su_Tools::icon($icon) . $shortcode['name'] . '</span>' . "\n";
                }
                ?>
            </div>
        </div>
        <input type="hidden" name="su-generator-selected" id="su-generator-selected" value="<?php // echo plugins_url('', SU_PLUGIN_FILE);  ?>" />
        <input type="hidden" name="su-generator-url" id="su-generator-url" value="<?php // echo plugins_url('', SU_PLUGIN_FILE);  ?>" />
        <input type="hidden" name="su-compatibility-mode-prefix" id="su-compatibility-mode-prefix" value="<?php echo su_compatibility_mode_prefix(); ?>" />
        <div id="su-generator-settings"></div>

        <div id="su-generator-result" style="display:none"></div>
    </div>
</div>